
# Clifford Layers

[![Documentation](https://img.shields.io/badge/docs-passing-brightgreen)](https://microsoft.github.io/cliffordlayers)

For details about usage please see [documentation](https://microsoft.github.io/cliffordlayers).
If you have any questions or suggestions please open a [discussion](https://github.com/microsoft/cliffordlayers/discussions). If you notice a bug, please open an [issue](https://github.com/microsoft/cliffordlayers/issues).

## Installation

```bash
pip install cliffordlayers
```


## Citation

If you find our work and/or our code useful, please cite us via:

```bibtex
@article{brandstetter2022clifford,
  title={Clifford Neural Layers for PDE Modeling},
  author={Brandstetter, Johannes and Berg, Rianne van den and Welling, Max and Gupta, Jayesh K},
  journal={arXiv preprint arXiv:2209.04934},
  year={2022}
}

@article{ruhe2023geometric,
  title={Geometric Clifford Algebra Networks},
  author={Ruhe, David and Gupta, Jayesh K and de Keninck, Steven and Welling, Max and Brandstetter, Johannes},
  journal={arXiv preprint arXiv:2302.06594},
  year={2023}
}
```


## Contributing

This project welcomes contributions and suggestions.  Most contributions require you to agree to a
Contributor License Agreement (CLA) declaring that you have the right to, and actually do, grant us
the rights to use your contribution. For details, visit https://cla.opensource.microsoft.com.

When you submit a pull request, a CLA bot will automatically determine whether you need to provide
a CLA and decorate the PR appropriately (e.g., status check, comment). Simply follow the instructions
provided by the bot. You will only need to do this once across all repos using our CLA.

This project has adopted the [Microsoft Open Source Code of Conduct](https://opensource.microsoft.com/codeofconduct/).
For more information see the [Code of Conduct FAQ](https://opensource.microsoft.com/codeofconduct/faq/) or
contact [opencode@microsoft.com](mailto:opencode@microsoft.com) with any additional questions or comments.

## Trademarks

This project may contain trademarks or logos for projects, products, or services. Authorized use of Microsoft
trademarks or logos is subject to and must follow
[Microsoft's Trademark & Brand Guidelines](https://www.microsoft.com/en-us/legal/intellectualproperty/trademarks/usage/general).
Use of Microsoft trademarks or logos in modified versions of this project must not cause confusion or imply Microsoft sponsorship.
Any use of third-party trademarks or logos are subject to those third-party's policies.
